components:
  schemas:
    Job_v1_2_4_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/Job_v1_2_4_OemActions'
          description: The available OEM-specific actions for this resource.
          x-longDescription: This property shall contain the available OEM-specific
            actions for this resource.
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Job_v1_2_4_Job:
      additionalProperties: false
      description: The `Job` schema contains information about a job that a Redfish
        job service schedules or executes.  Clients create jobs to describe a series
        of operations that occur at periodic intervals.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Actions:
          $ref: '#/components/schemas/Job_v1_2_4_Actions'
          description: The available actions for this resource.
          x-longDescription: This property shall contain the available actions for
            this resource.
        CreatedBy:
          description: The person or program that created this job entry.
          readOnly: true
          type: string
          x-longDescription: This property shall contain the username, software program
            name, or other identifier indicating the creator of this job.
        Description:
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          - enum:
            - null
          readOnly: true
        EndTime:
          description: The date and time when the job was completed.
          format: date-time
          readOnly: true
          type: string
          x-longDescription: This property shall indicate the date and time when the
            job was completed.  This property shall not appear if the job is running
            or was not completed.  This property shall appear only if the `JobState`
            is `Completed`, `Cancelled`, or `Exception`.
        EstimatedDuration:
          description: The estimated total time required to complete the job.
          nullable: true
          pattern: ^P(\d+D)?(T(\d+H)?(\d+M)?(\d+(.\d+)?S)?)?$
          readOnly: true
          type: string
          x-longDescription: This property shall indicate the estimated total time
            needed to complete the job.  The value is not expected to change while
            the job is in progress, but the service may update the value if it obtains
            new information that significantly changes the expected duration.  Services
            should be conservative in the reported estimate and clients should treat
            this value as an estimate.
          x-versionAdded: v1_1_0
        HidePayload:
          description: An indication of whether the contents of the payload should
            be hidden from view after the job has been created.  If `true`, responses
            do not return the payload.  If `false`, responses return the payload.  If
            this property is not present when the job is created, the default is `false`.
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether the contents of
            the payload should be hidden from view after the job has been created.  If
            `true`, responses shall not return the `Payload` property.  If `false`,
            responses shall return the `Payload` property.  If this property is not
            present when the job is created, the default is `false`.
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        JobState:
          $ref: '#/components/schemas/Job_v1_2_4_JobState'
          description: The state of the job.
          readOnly: false
          x-longDescription: This property shall indicate the state of the job.
        JobStatus:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Health
          description: The status of the job.
          readOnly: true
          x-longDescription: This property shall indicate the health status of the
            job.  This property should contain `Critical` if one or more messages
            in the `Messages` array contains the severity `Critical`.  This property
            should contain `Warning` if one or more messages in the `Messages` array
            contains the severity `Warning` and if no messages contain the severity
            `Critical`.  This property should contain `OK` if all messages in the
            `Messages` array contain the severity `OK` or if the array is empty.
        Links:
          $ref: '#/components/schemas/Job_v1_2_4_Links'
          description: The links to other resources that are related to this resource.
          x-longDescription: This property shall contain links to resources that are
            related to but are not contained by, or subordinate to, this resource.
          x-versionAdded: v1_2_0
        MaxExecutionTime:
          description: The maximum amount of time the job is allowed to execute.
          nullable: true
          readOnly: false
          type: string
          x-longDescription: The value shall be an ISO 8601 conformant duration describing
            the maximum duration the job is allowed to execute before being stopped
            by the service.
        Messages:
          description: An array of messages associated with the job.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/Message.yaml#/components/schemas/Message_Message
          type: array
          x-longDescription: This property shall contain an array of messages associated
            with the job.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        Payload:
          $ref: '#/components/schemas/Job_v1_2_4_Payload'
          description: The HTTP and JSON request payload details for this job.
          x-longDescription: This property shall contain the HTTP and JSON request
            payload information for executing this job.  This property shall not be
            included in the response if the `HidePayload` property is `true`.
        PercentComplete:
          description: The completion percentage of this job.
          format: int64
          maximum: 100
          minimum: 0
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall indicate the completion progress
            of the job, reported in percent of completion, `0` to `100`.  If the job
            has not been started, the value shall be zero.
          x-units: '%'
        Schedule:
          $ref: http://redfish.dmtf.org/schemas/v1/Schedule.yaml#/components/schemas/Schedule_Schedule
          description: The schedule settings for this job.
          x-longDescription: This object shall contain the scheduling details for
            this job and the recurrence frequency for future instances of this job.
        StartTime:
          description: The date and time when the job was started or is scheduled
            to start.
          format: date-time
          readOnly: true
          type: string
          x-longDescription: This property shall indicate the date and time when the
            job was last started or is scheduled to start.
        StepOrder:
          description: The serialized execution order of the job steps.
          items:
            type: string
          readOnly: true
          type: array
          x-longDescription: This property shall contain an array of `Id` property
            values for the job steps in the order that they shall be executed.  Each
            step shall be completed prior to the execution of the next step in array
            order.  An incomplete list of steps shall be considered an invalid configuration.  If
            this property is not present or contains an empty array it shall indicate
            that the step execution order is omitted and may occur in parallel or
            in series as determined by the service.
        Steps:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The link to a collection of steps for this job.
          readOnly: true
          x-longDescription: This property shall contain the link to a resource collection
            of type `JobCollection`.  This property shall not be present if this resource
            represents a step for a job.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall contain a job in a Redfish implementation.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Job_v1_2_4_JobState:
      enum:
      - New
      - Starting
      - Running
      - Suspended
      - Interrupted
      - Pending
      - Stopping
      - Completed
      - Cancelled
      - Exception
      - Service
      - UserIntervention
      - Continue
      type: string
      x-enumDescriptions:
        Cancelled: Job was cancelled.
        Completed: Job was completed.
        Continue: Job is to resume operation.
        Exception: Job has stopped due to an exception condition.
        Interrupted: Job has been interrupted.
        New: A new job.
        Pending: Job is pending and has not started.
        Running: Job is running normally.
        Service: Job is running as a service.
        Starting: Job is starting.
        Stopping: Job is in the process of stopping.
        Suspended: Job has been suspended.
        UserIntervention: Job is waiting for user intervention.
      x-enumLongDescriptions:
        Cancelled: This value shall represent that the operation completed because
          the job was cancelled by an operator.
        Completed: This value shall represent that the operation completed successfully
          or with warnings.
        Continue: This value shall represent that the operation has been resumed from
          a paused condition and should return to a Running state.
        Exception: This value shall represent that the operation completed with errors.
        Interrupted: This value shall represent that the operation has been interrupted
          but is expected to restart and is therefore not complete.
        New: This value shall represent that this job is newly created but the operation
          has not yet started.
        Pending: This value shall represent that the operation is pending some condition
          and has not yet begun to execute.
        Running: This value shall represent that the operation is executing.
        Service: This value shall represent that the operation is now running as a
          service and expected to continue operation until stopped or killed.
        Starting: This value shall represent that the operation is starting.
        Stopping: This value shall represent that the operation is stopping but is
          not yet complete.
        Suspended: This value shall represent that the operation has been suspended
          but is expected to restart and is therefore not complete.
        UserIntervention: This value shall represent that the operation is waiting
          for a user to intervene and needs to be manually continued, stopped, or
          cancelled.
    Job_v1_2_4_Links:
      additionalProperties: false
      description: The links to other resources that are related to this resource.
      properties:
        CreatedResources:
          description: An array of URIs referencing the resources created as the result
            of this job.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: true
          type: array
          x-longDescription: This property shall contain an array of links to resources
            indicating the resources created as the result of this job.  Services
            shall set this property prior to the job entering its final state.
          x-versionAdded: v1_2_0
        CreatedResources@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties contained in this object shall conform to the Redfish
            Specification-described requirements.
      type: object
      x-longDescription: This Redfish Specification-described type shall contain links
        to resources that are related to but are not contained by, or subordinate
        to, this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Job_v1_2_4_OemActions:
      additionalProperties: true
      description: The available OEM-specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain the available OEM-specific actions
        for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Job_v1_2_4_Payload:
      additionalProperties: false
      description: The HTTP and JSON payload details for this job.
      properties:
        HttpHeaders:
          description: An array of HTTP headers in this job.
          items:
            type: string
          readOnly: true
          type: array
          x-longDescription: This property shall contain an array of HTTP headers
            in this job.
        HttpOperation:
          description: The HTTP operation that executes this job.
          readOnly: true
          type: string
          x-longDescription: This property shall contain the HTTP operation that executes
            this job.
        JsonBody:
          description: The JSON payload to use in the execution of this job.
          readOnly: true
          type: string
          x-longDescription: This property shall contain JSON-formatted payload for
            this job.
        TargetUri:
          description: The link to the target for this job.
          format: uri-reference
          readOnly: true
          type: string
          x-longDescription: This property shall contain link to a target location
            for an HTTP operation.
      type: object
      x-longDescription: This object shall contain information detailing the HTTP
        and JSON payload information for executing this job.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#Job.v1_2_4.Job'
x-copyright: Copyright 2014-2024 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-language: en
x-owningEntity: DMTF
x-release: '2022.3'
